version: '3.8'

services:
  nginx-ui:
    image: uozi/nginx-ui:latest 
    container_name: nginx-ui
    restart: unless-stopped
    ports:
      - "9000:9000"
    environment:
      - TZ=Asia/Shanghai
    volumes:
      - ./nginx-ui:/etc/nginx-ui
      - ./stub_status_nginx-ui.conf:/etc/nginx/conf.d/stub_status_nginx-ui.conf 
      - /var/run/docker.sock:/var/run/docker.sock
      - ./docker-ce-cli_26.1.3-1~debian.12~bookworm_amd64.deb:/root/docker-ce-cli_26.1.3-1~debian.12~bookworm_amd64.deb
      # 挂载第一个nginx容器的配置
      - ${NGINX_V1_PATH}:/etc/nodes/ngx_v1
      # 挂载第二个nginx容器的配置
      - ${NGINX_V2_PATH}:/etc/nodes/ngx_v2
      # 挂载第三个nginx容器的配置
      - ${NGINX_V3_PATH}:/etc/nodes/ngx_v3
